/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package datetest;

/**
 *
 * @author Mozafar
 */
public class Date {

    private int day;
    private int month;
    private int year;

    public Date (Date my){
        this(my.day, my.month, my.year);        
    }
    public Date(){
       this(1,1,1397);
    }
    public Date(int day, int month){
        this(day, month, 1380);
    }

    public Date(int day, int month, int year) {
        if (day >= 1 && day < 32) {
            this.day = day;
        } else {
            this.day=1;
        }
        if (month >= 1 && month < 13) {
            this.month = month;
        } else {
            this.month=1;
        }
        if (year >= 1000) {
            this.year = year;
        } else {
            this.year=1397;
        }
    }

    public boolean setDay(int day) {
        if (day >= 1 && day < 32) {
            this.day = day;
            return true;
        } else {
            return false;
        }
    }

    public int getDay() {
        return day;
    }

    public int getYear() {
        return year;
    }
    public String toString(){
        return day+"/"+month+"/"+year;
    }
    public boolean equals (Date my){
        return (day==my.day)&&(month==my.month)&&(year==my.year);
    }
    

}
